Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.spi.flexspi.common.capability
Enum CapabilityType

    java.lang.Object
      java.lang.Enum<CapabilityType>
          com.bea.content.spi.flexspi.common.capability.CapabilityType

All Implemented Interfaces
  Serializable, Comparable<CapabilityType>

    public enum CapabilityType

extends Enum<CapabilityType>

Various types of capabilities which can be evaluated.

This enum is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this enum without notice. Extensions of this enum by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Enum Constant Summary
`Feature` A basic (low-level) standardized capability
`Method` An automatic capability dependent on the presence of an SPI method

Method Summary
`static CapabilityType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CapabilityType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Feature

    public static final CapabilityType Feature

  A basic (low-level) standardized capability

### Method

    public static final CapabilityType Method

  An automatic capability dependent on the presence of an SPI method

Method Detail

### values

    public static final CapabilityType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static CapabilityType valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved